//=====================================================
// JavaScript functions for taxonomy viewer
//
// Copyright (c) 2007, IBM T.J. Watson Research Center.
// All rights reserved.
//=====================================================


function deleteImage(url, root, id, action) {
	if (confirm('Do you really want to delete this image?')) {
		xmlHttpPost(url, "action=" + action + "&root=" + root + "&id=" + id, 'refresh');
	}
}

function expandCollapseTree(id) {
	if (document.getElementById('sub' + id).style.display == '') {
		document.getElementById('sub' + id).style.display = 'none';
		if (document.getElementById(id + 'icon').className == 'relCollapseTree') {
			document.getElementById(id + 'icon').className = 'relExpandTree';
		} else {
			document.getElementById(id + 'icon').className = 'expandTree';
		}
		if (document.getElementById('rel' + id)) {
			document.getElementById('rel' + id).style.display = 'none';
		}
	} else {
		document.getElementById('sub' + id).style.display = '';
		if (document.getElementById(id + 'icon').className == 'relExpandTree') {
			document.getElementById(id + 'icon').className = 'relCollapseTree';	
		} else {
			document.getElementById(id + 'icon').className = 'collapseTree';
		}
		if (document.getElementById('rel' + id)) {
			document.getElementById('rel' + id).style.display = '';
		}	
	}
}

function xmlHttpPost(strURL, queryString, element) {
    var xmlHttpReq = false;
    var self = this;
    // Mozilla/Safari
    if (window.XMLHttpRequest) {
        self.xmlHttpReq = new XMLHttpRequest();
    }
    // IE
    else if (window.ActiveXObject) {
        self.xmlHttpReq = new ActiveXObject("Microsoft.XMLHTTP");
    }
    self.xmlHttpReq.open('POST', strURL, true);
    self.xmlHttpReq.setRequestHeader('Content-Type', 'application/x-www-form-urlencoded');
    self.xmlHttpReq.onreadystatechange = function() {
        if (self.xmlHttpReq.readyState == 4) {
            updatepage(element, self.xmlHttpReq.responseText);
        }
    }
    self.xmlHttpReq.send(queryString);
}

function updatepage(element, content){
    if (element != 'refresh') {
    	document.getElementById(element).innerHTML = content;
    } else {
	window.location = content;
    }
}